Subject: bug#38384: (next|previous)-buffer silent about not switching

From: Juanma Barranquero <[email-masked]>
Date: Tue, 26 Nov 2019 19:23:55 +0100

On Tue, Nov 26, 2019 at 7:04 PM Eli Zaretskii <[email-masked]> wrote:

> Granted, I'm worried mainly about code outside of the Emacs tree.

Even before my patch, both functions can in some situations signal
user-error without checking for interactive use.

  (cond
   ((window-minibuffer-p)
    (user-error "Cannot switch buffers in minibuffer window"))
   ((eq (window-dedicated-p) t)
    (user-error "Window is strongly dedicated to its buffer"))